For the complete documentation index, see llms.txt. This page is also available as Markdown.

Files

Endpoints для загрузки файлов через upload intents.

Создать upload intent

Create a one-time upload intent

post
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Header parameters
Idempotency-Keystring · min: 8 · max: 191Optional

Makes unsafe requests safely repeatable for 24 hours by default.

X-Correlation-Idstring · max: 128Optional

Client-defined id used to correlate API request and webhook events.

Body
purposestring · enumRequiredPossible values:
resource_typestring · nullableOptional
resource_idstring · nullableOptional
field_keystring · nullableOptional
allowed_extensionsstring[] · nullableOptional
max_bytesinteger · nullableOptional
Responses
201

Upload intent.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
post/private/files/upload-intents

Получить upload intent

Show upload intent status

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
intentstring · uuidRequired
Responses
200

Upload intent.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
get/private/files/upload-intents/{intent}

Загрузить файл по upload intent

Upload file into an intent

post
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
intentstring · uuidRequired
Header parameters
Idempotency-Keystring · min: 8 · max: 191Optional

Makes unsafe requests safely repeatable for 24 hours by default.

X-Correlation-Idstring · max: 128Optional

Client-defined id used to correlate API request and webhook events.

Body
filestring · binaryRequired
Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
post/private/files/upload-intents/{intent}/commit

Последнее обновление

Это было полезно?